MariaDB development headers for mysql2 gem installation

For MariaDB installations, remember to apt-get:

sudo apt-get install libmariadbclient-dev

Instead of libmysqlclient-dev

http://philbayfield.com/2010/07/11/switching-mysql-for-mariadb-on-ubuntu/